Class StreamDevicePutRequest
java.lang.Object
com.eqixiac.equinix.fabric.model.implementation.StreamDevicePutRequest
Body of
PUT /fabric/v4/streams/{streamId}/devices/{deviceId} (spec
StreamDevicePutRequest): the complete desired set of device interfaces to stream. Interfaces
not listed are detached; an empty list detaches all of them.-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic final classInterface reference:{"id": 3}. -
Constructor Summary
ConstructorsConstructorDescriptionStreamDevicePutRequest(Boolean metricsEnabled, List<Integer> interfaceIds) Creates the request. -
Method Summary
-
Constructor Details
-
StreamDevicePutRequest
-